# InternalActionEntity class Null safety

Inheritance
  - Object
  - ActionEntity
  - InternalActionEntity

## Constructors

InternalActionEntity(dynamic super)
  const

## Properties

action → String?
  final
actionType → String?
  final, inherited
appID → String?
  final, inherited
conditions → DisplayConditionsEntity?
  final, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

copyWith({String? appId, DisplayConditionsEntity? conditions, String? action}) → InternalActionEntity
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed. [...]
  inherited
toDocument() → Map<String, Object?>
  override
toString() → String
  A string representation of this object. [...]
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Methods

fromMap(Map snap) → ActionEntity
  override

## Constants

label → const String
  `'InternalAction'`